Loading...
Searching...
No Matches
bsoncxx::v1::types::b_code Struct Reference

`#include <bsoncxx/v1/types/view.hpp>`

## Description

BSON type value "JavaScript Code".

## Public Member Functions

| b_code ()=default
| Zero-initialize the represented value.
| b_code (v1::stdx::string_view code)
| Initialize with code.
| operator v1::stdx::string_view () const
| Implicitly convert to code.

## Public Attributes

v1::stdx::string_view | code
| The represented value.

## Static Public Attributes

static constexpr id | type_id = id::k_code
| The type represented by this BSON type value.

## Friends

bool | operator!= (b_code const &lhs, b_code const &rhs)
| Equivalent to !(lhs == rhs).
bool | operator== (b_code const &lhs, b_code const &rhs)
| Equivalent to lhs.code == rhs.code.

## Constructor & Destructor Documentation

## b_code() [1/2]

bsoncxx::v1::types::b_code::b_code | ( |  | ) |

default

Zero-initialize the represented value.

## b_code() [2/2]

bsoncxx::v1::types::b_code::b_code | ( | v1::stdx::string_view | code | ) |

inline explicit

Initialize with code.

## Member Function Documentation

## operator v1::stdx::string_view()

bsoncxx::v1::types::b_code::operator v1::stdx::string_view | ( |  | ) | const

inline

Implicitly convert to code.

## Friends And Related Symbol Documentation

## operator!=

bool operator!= | ( | b_code const & | lhs,
|  | b_code const & | rhs )

friend

Equivalent to !(lhs == rhs).

## operator==

bool operator== | ( | b_code const & | lhs,
|  | b_code const & | rhs )

friend

Equivalent to lhs.code == rhs.code.

## Member Data Documentation

## code

v1::stdx::string_view bsoncxx::v1::types::b_code::code

The represented value.

## type_id

id bsoncxx::v1::types::b_code::type_id = id::k_code

static constexpr

The type represented by this BSON type value.

The documentation for this struct was generated from the following file:

- bsoncxx/v1/types/view.hpp